## qt6-3d 6.7.2+dfsg

=== debian/changelog ===
qt6-3d (6.7.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Turn amd64 architecture specifier in symbols files to any-amd64, as those
    symbols apply to all the OSes and not only Linux.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Dec 2024 07:44:46 +0100

qt6-3d (6.7.2+dfsg-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 18:28:14 +0100

qt6-3d (6.7.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:31:48 +0200

qt6-3d (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 19:03:46 +0200
