=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-pkgkde-symbolshelper,
               libassimp-dev (>= 5.1.1~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.2+dfsg~),
               qt6-base-private-dev (>= 6.7.2+dfsg~),
               qt6-declarative-dev (>= 6.7.2+dfsg~),
               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
               qt6-multimedia-dev (>= 6.7.2~),
               qt6-shadertools-dev (>= 6.7.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git
Rules-Requires-Root: no

Package: libqt63dcore6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: libqt63dquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick library.

Package: libqt63dinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Input library.

Package: libqt63drender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Renderer library.

Package: libqt63dlogic6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Logic library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Logic library.

Package: libqt63dquickextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick extras library.

Package: libqt63dextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D extras library.

Package: libqt63dquickscene2d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 2D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D library.

Package: libqt63danimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Animation library.

Package: qt6-3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Transmission Format Scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Assimp Scene Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Assimp Scene Import plugin.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's default geometry loader plugin.

Package: qt6-3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Scene 2D plugin.

Package: qml6-module-qt3d-core
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Core QML module.

Package: qml6-module-qt3d-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickanimation6,
Replaces: libqt63dquickanimation6,
Description: Qt 6 3D Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Animation QML module.

Package: qml6-module-qt3d-extras
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Extras QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Extras QML module.

Package: qml6-module-qt3d-input
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickinput6,
Replaces: libqt63dquickinput6,
Description: Qt 6 3D Input QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Input QML module.

Package: qml6-module-qt3d-logic
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Logic QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Logic QML module.

Package: qml6-module-qt3d-render
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickrender6,
Replaces: libqt63dquickrender6,
Description: Qt 6 3D Renderer QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Renderer QML module.

Package: qml6-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D QML module.

Package: qml6-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D QML module.

Package: qt6-3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt63danimation6 (= ${binary:Version}),
         libqt63dcore6 (= ${binary:Version}),
         libqt63dextras6 (= ${binary:Version}),
         libqt63dinput6 (= ${binary:Version}),
         libqt63dlogic6 (= ${binary:Version}),
         libqt63dquick6 (= ${binary:Version}),
         libqt63dquickextras6 (= ${binary:Version}),
         libqt63dquickscene2d6 (= ${binary:Version}),
         libqt63drender6 (= ${binary:Version}),
         qml6-module-qt3d-animation (= ${binary:Version}),
         qml6-module-qt3d-core (= ${binary:Version}),
         qml6-module-qt3d-extras (= ${binary:Version}),
         qml6-module-qt3d-input (= ${binary:Version}),
         qml6-module-qt3d-logic (= ${binary:Version}),
         qml6-module-qt3d-render (= ${binary:Version}),
         qml6-module-qtquick-scene2d (= ${binary:Version}),
         qml6-module-qtquick-scene3d (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 3D library.

Package: qt6-3d-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 3D.

Package: qt6-3d-doc-html
