## qt6-3d 6.8.0+dfsg

=== debian/changelog ===
qt6-3d (6.8.0+dfsg-0deepin2) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Wed, 06 Nov 2024 17:30:50 +0800
