=== debian/control ===
--- 
+++ 
@@ -5,28 +5,26 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libassimp-dev (>= 5.1.1~),
                libgl-dev,
                libgl1-mesa-dri <!nocheck>,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-multimedia-dev (>= 6.7.2~),
-               qt6-shadertools-dev (>= 6.7.2~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-multimedia-dev (>= 6.8.0~),
+               qt6-shadertools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git
@@ -200,7 +198,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 3D Core QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -211,9 +209,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Breaks: libqt63dquickanimation6,
-Replaces: libqt63dquickanimation6,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt63dquickanimation6
+Replaces: libqt63dquickanimation6
 Description: Qt 6 3D Animation QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -224,7 +222,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 3D Extras QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -235,9 +233,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Breaks: libqt63dquickinput6,
-Replaces: libqt63dquickinput6,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt63dquickinput6
+Replaces: libqt63dquickinput6
 Description: Qt 6 3D Input QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -248,7 +246,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 3D Logic QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -259,9 +257,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Breaks: libqt63dquickrender6,
-Replaces: libqt63dquickrender6,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt63dquickrender6
+Replaces: libqt63dquickrender6
 Description: Qt 6 3D Renderer QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -272,7 +270,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick Scene 3D QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -283,7 +281,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick Scene 2D QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -303,14 +301,6 @@
          libqt63dquickextras6 (= ${binary:Version}),
          libqt63dquickscene2d6 (= ${binary:Version}),
          libqt63drender6 (= ${binary:Version}),
-         qml6-module-qt3d-animation (= ${binary:Version}),
-         qml6-module-qt3d-core (= ${binary:Version}),
-         qml6-module-qt3d-extras (= ${binary:Version}),
-         qml6-module-qt3d-input (= ${binary:Version}),
-         qml6-module-qt3d-logic (= ${binary:Version}),
-         qml6-module-qt3d-render (= ${binary:Version}),
-         qml6-module-qtquick-scene2d (= ${binary:Version}),
-         qml6-module-qtquick-scene3d (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 3D - development files
@@ -332,3 +322,22 @@
  This package contains the documentation for the Qt 6 3D.
 
 Package: qt6-3d-doc-html
+Architecture: all
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 6 3D.
+
+Package: qt6-3d-doc-dev
+Architecture: all
+Section: libdevel
+Depends: qt6-base-doc-dev, ${misc:Depends},
+Multi-Arch: foreign
+Description: Qt 6 3d tags files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
