## qt6-3d 6.8.1+dfsg

=== debian/changelog ===
qt6-3d (6.8.1+dfsg-0ubuntu2) plucky; urgency=medium

  * Sync changes from 6.7.2+dfsg-3:
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency detection.
    - Use dh-sequence-pkgkde-symbolshelper instead of --with.
    - Enable QML detection for examples package.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Dec 2024 08:56:29 +0000

qt6-3d (6.8.1+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:28:47 -0600
