=== debian/changelog ===
qt6-3d (6.8.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:23:33 +0100

qt6-3d (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 21:16:45 +0100
