=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: qt6-3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libassimp-dev (>= 5.1.1~),
                libgl-dev,
                libgl1-mesa-dri <!nocheck>,
@@ -15,12 +15,12 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-multimedia-dev (>= 6.8.1~),
-               qt6-shadertools-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-multimedia-dev (>= 6.8.2~),
+               qt6-shadertools-dev (>= 6.8.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
